QuattroDosSpreadsheetInternal::Spreadsheet Class Reference documentation

Public Types | Public Member Functions | Public Attributes | List of all members
QuattroDosSpreadsheetInternal::Spreadsheet Class Reference

the spreadsheet of a QuattroDos Spreadsheet More...

## Public Types
enum | Type { T_Spreadsheet, T_Filter, T_Report }
| the spreadsheet type More...

## Public Member Functions
| Spreadsheet (Type type=T_Spreadsheet, int id=0)
| a constructor More...
Cell & | getCell (Vec2i const &pos, libwps_tools_win::Font::Type type)
| return a cell corresponding to a spreadsheet, create one if needed More...
Cell * | getLastCell ()
| returns the last cell More...
void | insertChartPositions (std::map< Vec2i, Vec2i > const &chartPosMap, libwps_tools_win::Font::Type type)
void | setColumnWidth (int col, int w=-1)
| set the columns size More...
std::vector< WPSColumnFormat > | getWidths () const
| return the columns format More...
float | getRowHeight (int row) const
| returns the row size in point More...
float | getRowHeight (int row, int &numRepeated) const
| returns the height of a row in point and updated repeated row More...
void | setRowHeight (int row, int h)
| set the rows size More...
Vec2f | getZoneSize (Vec2i const &cell0, Vec2i const &cell1) const
| return the size of the zone containning two cells More...
void | compressRowHeights ()
| try to compress the list of row height More...
bool | empty () const
| returns true if the spreedsheet is empty More...

## Public Attributes
Type | m_type
| the spreadsheet type More...
int | m_id
| the spreadsheet id More...
int | m_numCols
| the number of columns More...
std::vector< int > | m_widthCols
| the column size in TWIP (?) More...
std::map< Vec2i, int > | m_rowHeightMap
| the map Vec2i(min row, max row) to size in points More...
int | m_heightDefault
| the default row size in point More...
int | m_widthDefault
| the default width size in point More...
std::map< Vec2i, Cell > | m_positionToCellMap
| a map cell to not empty cells More...
Vec2i | m_lastCellPos
| the last cell position More...
std::vector< int > | m_rowPageBreaksList
| the list of row page break More...

## Detailed Description

the spreadsheet of a QuattroDos Spreadsheet

## Member Enumeration Documentation

## ◆ Type

enum QuattroDosSpreadsheetInternal::Spreadsheet::Type

the spreadsheet type

Enumerator
T_Spreadsheet |
T_Filter |
T_Report |

## Constructor & Destructor Documentation

## ◆ Spreadsheet()

QuattroDosSpreadsheetInternal::Spreadsheet::Spreadsheet | ( | Type | type = `T_Spreadsheet`,
|  | int | id = `0`
| ) |  |
| inline

a constructor

## Member Function Documentation

## ◆ compressRowHeights()

void QuattroDosSpreadsheetInternal::Spreadsheet::compressRowHeights | ( |  | ) |
| inline

try to compress the list of row height

## ◆ empty()

bool QuattroDosSpreadsheetInternal::Spreadsheet::empty | ( |  | ) | const
| inline

returns true if the spreedsheet is empty

## ◆ getCell()

Cell& QuattroDosSpreadsheetInternal::Spreadsheet::getCell | ( | Vec2i const & | pos,
|  | libwps_tools_win::Font::Type | type
| ) |  |
| inline

return a cell corresponding to a spreadsheet, create one if needed

## ◆ getLastCell()

Cell* QuattroDosSpreadsheetInternal::Spreadsheet::getLastCell | ( |  | ) |
| inline

returns the last cell

## ◆ getRowHeight() [1/2]

float QuattroDosSpreadsheetInternal::Spreadsheet::getRowHeight | ( | int | row | ) | const
| inline

returns the row size in point

## ◆ getRowHeight() [2/2]

float QuattroDosSpreadsheetInternal::Spreadsheet::getRowHeight | ( | int | row,
|  | int & | numRepeated
| ) |  | const
| inline

returns the height of a row in point and updated repeated row

## ◆ getWidths()

std::vector<WPSColumnFormat> QuattroDosSpreadsheetInternal::Spreadsheet::getWidths | ( |  | ) | const
| inline

return the columns format

## ◆ getZoneSize()

Vec2f QuattroDosSpreadsheetInternal::Spreadsheet::getZoneSize | ( | Vec2i const & | cell0,
|  | Vec2i const & | cell1
| ) |  | const
| inline

return the size of the zone containning two cells

## ◆ insertChartPositions()

void QuattroDosSpreadsheetInternal::Spreadsheet::insertChartPositions | ( | std::map< Vec2i, Vec2i > const & | chartPosMap,
|  | libwps_tools_win::Font::Type | type
| ) |  |
| inline

## ◆ setColumnWidth()

void QuattroDosSpreadsheetInternal::Spreadsheet::setColumnWidth | ( | int | col,
|  | int | w = `-1`
| ) |  |
| inline

set the columns size

## ◆ setRowHeight()

void QuattroDosSpreadsheetInternal::Spreadsheet::setRowHeight | ( | int | row,
|  | int | h
| ) |  |
| inline

set the rows size

## Member Data Documentation

## ◆ m_heightDefault

int QuattroDosSpreadsheetInternal::Spreadsheet::m_heightDefault

the default row size in point

Referenced by compressRowHeights(), getRowHeight(), and getZoneSize().

## ◆ m_id

int QuattroDosSpreadsheetInternal::Spreadsheet::m_id

the spreadsheet id

## ◆ m_lastCellPos

Vec2i QuattroDosSpreadsheetInternal::Spreadsheet::m_lastCellPos

the last cell position

Referenced by getCell(), and getLastCell().

## ◆ m_numCols

int QuattroDosSpreadsheetInternal::Spreadsheet::m_numCols

the number of columns

Referenced by setColumnWidth().

## ◆ m_positionToCellMap

std::map<Vec2i, Cell> QuattroDosSpreadsheetInternal::Spreadsheet::m_positionToCellMap

a map cell to not empty cells

Referenced by empty(), getCell(), getLastCell(), and insertChartPositions().

## ◆ m_rowHeightMap

std::map<Vec2i,int> QuattroDosSpreadsheetInternal::Spreadsheet::m_rowHeightMap

the map Vec2i(min row, max row) to size in points

Referenced by compressRowHeights(), getRowHeight(), getZoneSize(), and setRowHeight().

## ◆ m_rowPageBreaksList

std::vector<int> QuattroDosSpreadsheetInternal::Spreadsheet::m_rowPageBreaksList

the list of row page break

## ◆ m_type

Type QuattroDosSpreadsheetInternal::Spreadsheet::m_type

the spreadsheet type

## ◆ m_widthCols

std::vector<int> QuattroDosSpreadsheetInternal::Spreadsheet::m_widthCols

the column size in TWIP (?)

Referenced by getWidths(), getZoneSize(), insertChartPositions(), and setColumnWidth().

## ◆ m_widthDefault

int QuattroDosSpreadsheetInternal::Spreadsheet::m_widthDefault

the default width size in point

Referenced by getWidths(), and getZoneSize().

The documentation for this class was generated from the following file:

- QuattroDosSpreadsheet.cpp